Criar uma nota no nível da organização
curl --request POST \
--url https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"name": "<string>",
"trigger": "<string>",
"folder_id": "<string>",
"is_enabled": true,
"pinned_repo": "<string>"
}
'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes"
payload = {
"body": "<string>",
"name": "<string>",
"trigger": "<string>",
"folder_id": "<string>",
"is_enabled": True,
"pinned_repo": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
name: '<string>',
trigger: '<string>',
folder_id: '<string>',
is_enabled: true,
pinned_repo: '<string>'
})
};
fetch('https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": "<string>",
"created_at": 123,
"folder_id": "<string>",
"folder_path": "<string>",
"is_enabled": true,
"macro": "<string>",
"name": "<string>",
"note_id": "<string>",
"org_id": "<string>",
"pinned_repo": "<string>",
"trigger": "<string>",
"updated_at": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Notas do Knowledge (Organização)
Criar uma nota no nível da organização
Criar uma nota para uma organização.
POST
/
v3
/
organizations
/
{org_id}
/
knowledge
/
notes
Criar uma nota no nível da organização
Permissões
ManageAccountKnowledge para a organização especificada.Autorizações
Credencial de usuário de serviço (prefixo: cog_)
Parâmetros de caminho
ID da organização (prefixo: org-)
Exemplo:
"org-abc123def456"
Corpo
application/json
Resposta
Resposta bem-sucedida
Opções disponíveis:
enterprise, org ⌘I

